{{- if .Values.persistence.enabled }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ include "htwkalender.name" . }}-storage
  namespace: {{ .Release.Namespace }}
spec:
  {{- with .Values.persistence.accessModes }}
  accessModes:
    {{- toYaml . | nindent 4 }}
  {{- end }}
  resources:
    requests:
      storage: {{ .Values.persistence.size }}
  storageClassName: {{ .Values.persistence.storageClassName }}
{{- end }}